

# GetTableBucketStorageClass
<a name="API_s3Buckets_GetTableBucketStorageClass"></a>

Retrieves the storage class configuration for a specific table. This allows you to view the storage class settings that apply to an individual table, which may differ from the table bucket's default configuration.

Permissions  
You must have the `s3tables:GetTableBucketStorageClass` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_GetTableBucketStorageClass_RequestSyntax"></a>

```
GET /buckets/tableBucketARN/storage-class HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketStorageClass_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketStorageClass_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketStorageClass-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketStorageClass_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketStorageClass_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "storageClassConfiguration": { 
      "storageClass": "string"
   }
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucketStorageClass_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [storageClassConfiguration](#API_s3Buckets_GetTableBucketStorageClass_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketStorageClass-response-storageClassConfiguration"></a>
The storage class configuration for the table bucket.  
Type: [StorageClassConfiguration](API_s3Buckets_StorageClassConfiguration.md) object

## Errors
<a name="API_s3Buckets_GetTableBucketStorageClass_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucketStorageClass_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/s3tables-2018-05-10/GetTableBucketStorageClass) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucketStorageClass) 